# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'twitter_client_app/version'
require 'twitter_client_app/cli'

Gem::Specification.new do |spec|
  spec.name          = "twitter_client_app"
  spec.version       = TwitterClientApp::VERSION
  spec.authors       = ["KAWANO Shinobu"]
  spec.email         = ["kawanoshinobu@gmail.com"]
  spec.summary       = "A simple Sinatra app which is integrated with Twitter Oauth login and some of its API."
  spec.description   = "This gem aims for Sencha MokuMoku Meetup 2nd (that be held in Japan at 2014/05/30)."
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "sinatra"
  spec.add_dependency "sinatra-contrib"
  spec.add_dependency "oauth"
  spec.add_dependency "certified"
  spec.add_dependency "twitter"
  spec.add_dependency "thor"

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "pry"
end
